<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cmms_machine_road_items_project', function (Blueprint $table) {
            $table->id();
            $table->foreignId('machine_id')->constrained('cmms_machines')->onDelete('cascade');
            $table->unsignedBigInteger('road_items_project_id');
            $table->foreign('road_items_project_id')->references('id')->on('road_items_projects')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cmms_machine_road_items_project');
    }
};
